import { Tabs, TabsProps } from "antd";
import MaterialCat from "./materialCat";
import Material from "./material";

const MaterialMgmt = () => {
  const onChange = (key: string) => {
    console.log(key);
  };
  const items: TabsProps['items'] = [
    {
      key: '1',
      label: '物资分类管理',
      children: <MaterialCat />,
    },
    {
      key: '2',
      label: '物资管理',
      children: <Material />
    },
  ];
    return (
      <>
        <Tabs defaultActiveKey="1" items={items} onChange={onChange} />
      </>
    );
  };
  
  export default MaterialMgmt;
  