import { inject, observer } from "mobx-react";
import "./pvd.less";
import { Store } from "antd/es/form/interface";
const PoverDetail = (props:Store) => {
  const {usrStore} = props
  return (
    <div className="pvd_table">
      <table className="table" border={1}>
        <thead>
          <tr>
            <td >姓名</td>
            <td >{usrStore.userDetail?.user_name}</td>
            <td >性别</td>
            <td >{usrStore.userDetail?.sex===1?'男':'女'}</td>
            <td rowSpan={4} colSpan={2}>
              <img src={usrStore.userDetail?.head_img} alt="" width={80} />
            </td>
          </tr>
          <tr>
            <td >出生年月</td>
            <td >{usrStore.userDetail?.sex===1}</td>
            <td >贯籍</td>
            <td >{usrStore.userDetail?.porig}</td>
          </tr>
          <tr>
            <td >政治面貌</td>
            <td >{usrStore.userDetail?.political_affil}</td>
            <td >民族</td>
            <td >{usrStore.userDetail?.eth}</td>
          </tr>
          <tr>
            <td >通讯地址</td>
            <td colSpan={3}>{usrStore.userDetail?.mail_addr}</td>
          </tr>
          <tr>
            <td >联系电话</td>
            <td >13208266337</td>
            <td >邮箱</td>
            <td colSpan={2}>{usrStore.userDetail?.email}</td>
          </tr>
          <tr>
            <td >学历</td>
            <td >{usrStore.userDetail?.eduLevel}</td>
            <td >专业</td>
            <td colSpan={2}>{usrStore.userDetail?.spec}</td>
          </tr>
          <tr>
            <td >服役部队</td>
            <td colSpan={4}>{usrStore.userDetail?.serv_unit}</td>
          </tr>
          <tr>
            <td >工作单位及职务</td>
            <td colSpan={4}>{usrStore.userDetail?.serv_unit}</td>
          </tr>
          <tr>
            <td >立功受奖情况</td>
            <td colSpan={4}>{usrStore.userDetail?.honors_rec}</td>
          </tr>
          <tr>
            <td >专业情况</td>
            <td colSpan={4}>{usrStore.userDetail?.spec}</td>
          </tr>
          <tr>
            <td >个人证书</td>
            <td colSpan={4}></td>
          </tr>
        </thead>
      </table>
    </div>
  );
};

export default inject("usrStore")(observer(PoverDetail));
