import { Tabs, TabsProps } from "antd";
import Trainings from "./training";
import TrainingCat from "./trainingCat";

const Training = ()=>{
    const onChange = (key: string) => {
        console.log(key);
      };
      const items: TabsProps['items'] = [
        {
          key: '1',
          label: '训练分类管理',
          children: <TrainingCat />,
        },
        {
          key: '2',
          label: '训练任务管理',
          children: <Trainings />
        },
      ];
        return (
          <>
            <Tabs defaultActiveKey="1" items={items} onChange={onChange} />
          </>
        );
}

export default Training