import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class RegulationsConfig {
    static LIST: string = "/v1/regulations/list"
    static ADD: string = "/v1/regulations"
    static DELETE: string = "/v1/regulations"
    static EDIT: string = "/v1/regulations"
}
class Regulations extends BaseStore<TagDataType> {
    constructor() {
        super(RegulationsConfig)
        makeObservable(this, {})
    }
}
export const regulationsStore = new Regulations()

